<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>Offer calculator: Table</title>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

    <!-- Offer calculator: Css -->
    <link rel="stylesheet" href="table.css">

</head>

<body>
    <div class="container py-5">
        <form id="offer-calculator-form" method="post">
            <div class="row">
                <div class="col">

                    <div class="table-responsive">

                        <!-- Offer calculator: Table -->
                        <table id="offer-calculator-table" class="table table-striped">

                            <!-- Offer calculator: Table header -->
                            <thead>
                                <tr>
                                    <th scope="col">Eraldis nr</th>
                                    <th scope="col">Pindala (ha)</th>
                                    <th scope="col">Tööliik</th>
                                    <th scope="col">Raiutav maht (tm)</th>
                                    <th scope="col">Peapuuliik</th>
                                    <th scope="col"></th>
                                </tr>
                            </thead>

                            <tbody>

                                <!-- Offer calculator: Table row -->
                                <tr>
                                    <th scope="row"><span class="nr px-4 text-primary">1</span></th>
                                    <td><input type="number" name="rows[][area]" class="form-control" step="1" min="0" max="100000" value="" placeholder="0" requiredd></td>
                                    <td>
                                        <select name="rows[][type_of_work]" class="form-control" requiredd>
                                            <option value="" selected>---</option>
                                            <option value="LR">LR (lageraie)</option>
                                            <option value="HR">HR (harvendusraie)</option>
                                        </select>
                                    </td>
                                    <td><input type="number" name="rows[][volume]" class="form-control" step="1" min="0" max="100000" value="" placeholder="0" requiredd></td>
                                    <td>
                                        <select name="rows[][main_tree_species]" class="form-control" requiredd>
                                            <option value="" selected>---</option>
                                            <option value="kuusk">Kuusk</option>
                                            <option value="mand">Mänd</option>
                                        </select>
                                    </td>
                                    <td class="text-right"><a href="javascript:void(0)" class="btn-remove-row btn btn-link text-uppercase" data-toggle="confirmation" title="Kas kustutan rea?">x</a></td>
                                </tr>

                            </tbody>

                        </table>

                    </div>

                </div>
            </div>
            <div class="row">
                <div class="col d-flex justify-content-between">
                    <!-- Offer calculator: Buttons -->
                    <button type="button" class="btn-add-row btn btn-primary btn-lg">Lisa rida</button>
                    <button type="submit" class="btn-submit btn btn-dark btn-lg text-uppercase">Arvuta hind</button>
                </div>
            </div>
        </form>
    </div>
</body>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js" charset="utf-8"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.min.js" integrity="sha384-+sLIOodYLS7CIrQpBjl+C7nPvqq+FbNUBDunl/OZv93DB7Ln/533i8e/mZXLi/P+" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2/dist/bootstrap-confirmation.min.js"></script>

<!-- Offer calculator: Javascript -->
<script src="jquery.serializejson.js" charset="utf-8"></script>
<script src="table.js" charset="utf-8"></script>
<script type="text/javascript">
    $(document).ready(function() {

        document.addEventListener("offer_calculator_table_row_added", function(event) {
            console.log(event);

            $('[data-toggle=confirmation]').confirmation({
                rootSelector: '[data-toggle=confirmation]',
                placement: 'right',
                btnOkClass: 'btn btn-primary px-4',
                btnCancelClass: 'btn btn-outline-secondary px-4',
                btnOkLabel: 'Jah',
                btnCancelLabel: 'Ei',
            });
        });

        const formElement = $('#offer-calculator-form');
        const tableElement = $('#offer-calculator-table');

        const offerCalculator = new OfferCalculator(formElement, tableElement);
        offerCalculator.init();

        offerCalculator.submit(function(event, form, data) {
            alert((JSON.stringify(data, null, "\t")));

            return false; // true - Enable submit; false - Disable submit
        });
    });
</script>

</html>